<div data-hook="admin_just_food_form_fields">
  <div class="row">

    <div class="col-md-6" data-hook="general">
      <fieldset>
        <legend><%= Spree.t(:general) %></legend>

        <div class="form-group">
          <div class="inline-radio">
            <%= label_tag :justfood_enable do %>
              <%= preference_field_tag(:justfood_enable, Spree::Config[:justfood_enable], type: :boolean) %>
              <%= Spree.t(:enable) %>
            <% end %>
          </div>
        </div>

        <div class="form-group">
          <%= label_tag :justfood_site_name, Spree.t(:site_name) %>
          <%= text_field_tag :justfood_site_name, Spree::Config[:justfood_site_name], class: 'form-control' %>
        </div>

        <div class="form-group">
          <%= label_tag :justfood_api_url, Spree.t(:api_url) %>
          <%= text_field_tag :justfood_api_url, Spree::Config[:justfood_api_url], class: 'form-control' %>
        </div>

        <div class="form-group">
          <%= label_tag :justfood_username, Spree.t(:username) %>
          <%= text_field_tag :justfood_username, Spree::Config[:justfood_username], class: 'form-control' %>
        </div>

        <div class="form-group">
          <%= label_tag :preferred_justfood_password, Spree.t(:password) %>
          <%= password_field_tag :justfood_password, Spree::Config[:justfood_password], class: 'form-control', autocomplete: 'off' %>
        </div>

        <div class="form-group">
          <%= label_tag :justfood_customer_no, Spree.t(:customer_no) %>
          <%= text_field_tag :justfood_customer_no, Spree::Config[:justfood_customer_no], class: 'form-control' %>
        </div>

        <div class="form-group">
          <%= label_tag :justfood_gl_account, Spree.t(:shipping_gl_account) %>
          <%= text_field_tag :justfood_gl_account, Spree::Config[:justfood_gl_account], class: 'form-control' %>
        </div>

        <div class="form-group">
          <%= label_tag :justfood_email, Spree.t(:email_address_for_messages) %>
          <%= text_field_tag :justfood_email, Spree::Config[:justfood_email], class: 'form-control' %>
        </div>

        <div class="form-group">
          <%= label_tag :justfood_test_order_no, Spree.t(:test_order_numbers) %>
          <%= text_field_tag :justfood_test_order_no, Spree::Config[:justfood_test_order_no], class: 'form-control' %>
          <span class="info">
            <%= Spree.t(:test_order_numbers_comma_separated) %>
          </span>
        </div>

      </fieldset>
    </div>
  </div>
</div>
